Gnome::Gda::ServerProviderError Class Reference
Inheritance diagram for Gnome::Gda::ServerProviderError:
[legend]
Collaboration diagram for Gnome::Gda::ServerProviderError:
[legend]

## Public Types

enum

Code {
SERVER_PROVIDER_METHOD_NON_IMPLEMENTED_ERROR,
SERVER_PROVIDER_PREPARE_STMT_ERROR,
SERVER_PROVIDER_EMPTY_STMT_ERROR,
SERVER_PROVIDER_MISSING_PARAM_ERROR,
SERVER_PROVIDER_STATEMENT_EXEC_ERROR,
SERVER_PROVIDER_OPERATION_ERROR,
SERVER_PROVIDER_INTERNAL_ERROR,
SERVER_PROVIDER_BUSY_ERROR,
SERVER_PROVIDER_NON_SUPPORTED_ERROR,
SERVER_PROVIDER_SERVER_VERSION_ERROR,
SERVER_PROVIDER_DATA_ERROR,
SERVER_PROVIDER_DEFAULT_VALUE_HANDLING_ERROR,
SERVER_PROVIDER_MISUSE_ERROR,
SERVER_PROVIDER_FILE_NOT_FOUND_ERROR
}

## Public Member Functions

| ServerProviderError (Code error_code, const Glib::ustring& error_message)
| ServerProviderError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

enum Gnome::Gda::ServerProviderError::Code

Enumerator
SERVER_PROVIDER_METHOD_NON_IMPLEMENTED_ERROR |
SERVER_PROVIDER_PREPARE_STMT_ERROR |
SERVER_PROVIDER_EMPTY_STMT_ERROR |
SERVER_PROVIDER_MISSING_PARAM_ERROR |
SERVER_PROVIDER_STATEMENT_EXEC_ERROR |
SERVER_PROVIDER_OPERATION_ERROR |
SERVER_PROVIDER_INTERNAL_ERROR |
SERVER_PROVIDER_BUSY_ERROR |
SERVER_PROVIDER_NON_SUPPORTED_ERROR |
SERVER_PROVIDER_SERVER_VERSION_ERROR |
SERVER_PROVIDER_DATA_ERROR |
SERVER_PROVIDER_DEFAULT_VALUE_HANDLING_ERROR |
SERVER_PROVIDER_MISUSE_ERROR |
SERVER_PROVIDER_FILE_NOT_FOUND_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ServerProviderError::ServerProviderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::ServerProviderError::ServerProviderError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gnome::Gda::ServerProviderError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/serverprovider.h